{
	tutorials [

	{
		id 		 "tutorial1"
		locname  "tutorial1.name"
		locdesc  "tutorial1.desc"
		filename "Tutorial/Tutorial1"
		actions [
			{ #type tut-show-info lockey "tut.intro" type middlecenter blocking #true person "Foreman 2" }

			{ #type tut-log step 1 }
			{ #type tut-show-info lockey "tut.camera.1" person "Foreman 2" }
			{ #type tut-wait-for-camera posdelta 10 }
			{ #type tut-show-info lockey "tut.camera.2" person "Foreman 2" }
			{ #type tut-wait-for-camera zoomdelta 10 }

			{ #type tut-show-info lockey "tut.office.1" blocking #true person "Foreman 2" }
			{ #type tut-pan-camera pos { x 2 y 1 } blocking #true }
			{ #type tut-close-ribbon }

			; open the main ribbon
			{ #type tut-show-info lockey "tut.office.2" person "Foreman 2" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; open office ribbon
			{ #type tut-show-info lockey "tut.office.2b" person "Foreman 2" }
			{ #type tut-show-mask uiname "offices" }
			{ #type tut-show-arrow type down uiname "offices" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "offices" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click actual office button
			{ #type tut-show-info lockey "tut.office.3" person "Foreman 2" }
			{ #type tut-show-mask uiname "emptyspace-office-4w" }
			{ #type tut-show-arrow type down uiname "emptyspace-office-4w" offset { x 45 y 20 } }
			{ #type tut-wait-for-buy-entity-input-mode template "emptyspace-office-4w" }

			{ #type tut-hide-mask }
			{ #type tut-hide-arrow }

			;; place empty space in the right spot
			{ #type tut-show-info lockey "tut.office.4" person "Foreman 2" }
			{ #type tut-show-highlight pos { x -1 y 1 } size { x 4 y 1 } }

			{ #type tut-wait-for-entity-count template "emptyspace-office-4w" count 1 }

			;; wait for exit input mode
			{ #type tut-hide-highlight }
			{ #type tut-wait-for-default-input-mode }

			{ #type tut-log step 2 }

			;; move-ins start automatically

			{ #type tut-wait-for-dialog type moveinads showing #true }

			;; show the different types of tenants
			{ #type tut-show-info lockey "tut.movein.2" type topcenter person "Foreman 2" deselect #false }
			{ #type tut-wait-for-dialog type moveintenants showing #true }

			;; show the choice of tenants
			{ #type tut-show-info lockey "tut.movein.3" type topcenter person "Foreman 2" deselect #false }
			{ #type tut-wait-for-dialog type moveintenants showing #false }

			;; and now we wait to build
			{ #type tut-show-info lockey "tut.movein.4" type topright blocking #true person "Foreman 2" }
			{ #type tut-close-ribbon }
			{ #type tut-action-pause realseconds 3 }

			;; speed tutorial
			{ #type tut-show-info lockey "tut.speed.1" type topcenter person "Foreman 2" }
			{ #type tut-show-arrow type up uiname "SpeedButton3" offset { x 25  y -45 } }

			{ #type tut-wait-for-game-speed type high }

			;; wait for construction
			{ #type tut-hide-arrow }
			{ #type tut-show-info lockey "tut.speed.2" type topcenter person "Foreman 2" }

			{ #type tut-wait-for-all-unit-construction-done }

			;; slow back down
			{ #type tut-show-info lockey "tut.speed.3" type topcenter person "Foreman 2" }
			{ #type tut-show-arrow type up uiname "SpeedButton2" offset { x 25 y -45 } }
			{ #type tut-wait-for-game-speed type normal }

			;; display blocking info dialog
			{ #type tut-hide-arrow }
			{ #type tut-show-info lockey "tut.speed.4" blocking #true person "Foreman 2" }

			{ #type tut-force-unpause } ;; just in case the player left it paused

			{ #type tut-log step 3 }

			;
			; expand the building horizontally

			; click on build button
			{ #type tut-close-ribbon }
			{ #type tut-pan-camera pos { x 4 y 1 } blocking #true }
			{ #type tut-show-info lockey "tut.expand.1" person "Foreman 2" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on infrastructure
			{ #type tut-show-info lockey "tut.expand.1b" person "Foreman 2" }
			{ #type tut-show-mask uiname "floor" }
			{ #type tut-show-arrow type down uiname "floor" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "floor" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on floor button
			{ #type tut-show-info lockey "tut.expand.1c" person "Foreman 2" }
			{ #type tut-show-mask uiname "floor.infrastructure" }
			{ #type tut-show-arrow type down uiname "floor.infrastructure" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "floor.infrastructure" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			{ #type tut-show-info lockey "tut.expand.2" person "Foreman 2" }
			{ #type tut-show-mask uiname "floor.normal" }
			{ #type tut-show-arrow type down uiname "floor.normal" offset { x 45 y 20 } }
			{ #type tut-wait-for-add-floor-input-mode }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; build floor in specified area
			{ #type tut-show-info lockey "tut.expand.3" person "Foreman 2" }
			{ #type tut-show-mask pos { x 3 y 0 } size { x 4 y 1 } showfinger #true }
			{ #type tut-wait-for-floor pos { x 3 y 0 } size { x 4 y 1 } }

			{ #type tut-close-ribbon }
			{ #type tut-hide-mask }
			{ #type tut-show-info lockey "tut.expand.4" type topcenter blocking #true person "Foreman 2" }

			{ #type tut-log step 4 }


			;; switch to utilities ribbon

			;; main button
			{ #type tut-show-info lockey "tut.utilities.1" person "Foreman 2" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on utilities
			{ #type tut-show-info lockey "tut.utilities.1b" person "Foreman 2" }
			{ #type tut-show-mask uiname "utilities" }
			{ #type tut-show-arrow type down uiname "utilities" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "utilities" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on power
			{ #type tut-show-info lockey "tut.utilities.1c" person "Foreman 2" }
			{ #type tut-show-mask uiname "utilities.power" }
			{ #type tut-show-arrow type down uiname "utilities.power" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "utilities.power" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on add power button
			{ #type tut-show-info lockey "tut.utilities.2" person "Foreman 2" }
			{ #type tut-show-mask uiname "utilities.power.add" }
			{ #type tut-show-arrow type down uiname "utilities.power.add" offset { x 45 y 20 } }
			{ #type tut-wait-for-add-utility-input-mode type utilpower }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; build pipes in specified area

			{ #type tut-show-info lockey "tut.utilities.3" person "Foreman 2" }
			{ #type tut-show-mask pos { x 3 y 0 } size { x 4 y 1 } showfinger #true }
			{ #type tut-wait-for-utilities pos { x 3 y 0 } size { x 4 y 1 } type utilpower }

			{ #type tut-hide-mask }
			{ #type tut-show-info lockey "tut.utilities.4" type topcenter person "Foreman 2" }
			{ #type tut-show-arrow type left uiname "PanelBottom/Button Panel/Cancel Button" offset { x 45 y 30 } }
			{ #type tut-wait-for-default-input-mode }

			;; wait for the floor to be finished

			{ #type tut-hide-arrow }
			{ #type tut-close-ribbon }
			{ #type tut-show-info lockey "tut.utilities.5" person "Foreman 2" }
			{ #type tut-wait-for-floor pos { x 3 y 0 } size { x 4 y 1 } finishedonly #true }

			{ #type tut-log step 5 }


			;; switch to the restaurant ribbon

			{ #type tut-force-unpause }
			{ #type tut-pan-camera pos { x 4 y 1 } blocking #true }

			;; main button
			{ #type tut-show-info lockey "tut.rest.1" person "Foreman 2" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on restaurants
			{ #type tut-show-info lockey "tut.rest.1b" person "Foreman 2" }
			{ #type tut-show-mask uiname "restaurants" }
			{ #type tut-show-arrow type down uiname "restaurants" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "restaurants" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click small restaurant button
			{ #type tut-show-info lockey "tut.rest.2" person "Foreman 2" }
			{ #type tut-show-mask uiname "emptyspace-restaurant-4w" }
			{ #type tut-show-arrow type down uiname "emptyspace-restaurant-4w" offset { x 45 y 20 } }
			{ #type tut-wait-for-buy-entity-input-mode template "emptyspace-restaurant-4w" offset { x -1 y -1 } }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; wait for placement

			{ #type tut-show-info lockey "tut.rest.3" person "Foreman 2" deselect #false }
			{ #type tut-show-highlight pos { x 3 y 0 } size { x 4 y 1 } }
			{ #type tut-wait-for-entity-count template "emptyspace-restaurant-4w" count 1 }

			{ #type tut-hide-highlight }

			;; and wait for player declaring they want to move on

			{ #type tut-show-info lockey "tut.rest.4" type topcenter person "Foreman 2" deselect #false }
			{ #type tut-wait-for-entity-count template "emptyspace-restaurant-4w" count 0 test exactly }

			{ #type tut-log step 6 }


			;;
			;;
			;; add new top floor

			;; intro and wait for build ribbon

			{ #type tut-show-info lockey "tut.floor.1" blocking #true person "Foreman 2" }

			;; click on build button
			{ #type tut-close-ribbon }
			{ #type tut-pan-camera pos { x -4 y 3 } blocking #true }
			{ #type tut-show-info lockey "tut.floor.2" person "Foreman 2" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on infrastructure
			{ #type tut-show-info lockey "tut.floor.2b" person "Foreman 2" }
			{ #type tut-show-mask uiname "floor" }
			{ #type tut-show-arrow type down uiname "floor" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "floor" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on floor button
			{ #type tut-show-info lockey "tut.floor.2c" person "Foreman 2" }
			{ #type tut-show-mask uiname "floor.infrastructure" }
			{ #type tut-show-arrow type down uiname "floor.infrastructure" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "floor.infrastructure" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			{ #type tut-show-info lockey "tut.floor.3" person "Foreman 2" }
			{ #type tut-show-mask uiname "floor.normal" }
			{ #type tut-show-arrow type down uiname "floor.normal" offset { x 45 y 20 } }
			{ #type tut-wait-for-add-floor-input-mode }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; build floor in specified area
			{ #type tut-show-info lockey "tut.floor.4" person "Foreman 2" }
			{ #type tut-show-mask pos { x -9 y 2 } size { x 12 y 1 } showfinger #true }
			{ #type tut-wait-for-floor pos { x -9 y 2 } size { x 12 y 1 } }

			{ #type tut-hide-mask }

			{ #type tut-log step 7 }


			;; elevator

			{ #type tut-show-info lockey "tut.elev.1" type topcenter blocking #true person "Foreman 2" }
			{ #type tut-show-info lockey "tut.elev.2" person "Foreman 2" }

			{ #type tut-show-mask uiname "path-elevator" }
			{ #type tut-show-arrow type down uiname "path-elevator" offset { x 45 y 20 } }

			{ #type tut-wait-for-buy-entity-input-mode template path-elevator offset { y 1 } }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; build elevator

			{ #type tut-show-info lockey "tut.elev.3" person "Foreman 2" }
			{ #type tut-show-mask pos { x -9 y 2 } size { x 3 y 1 } }

			{ #type tut-wait-for-entity-count template path-elevator count 3 test atleast }

			;; cancel out again

			{ #type tut-hide-mask }
			{ #type tut-show-info lockey "tut.elev.4" person "Foreman 2" }
			{ #type tut-wait-for-default-input-mode }

			{ #type tut-close-ribbon }

			{ #type tut-log step 8 }



			;; switch to utilities ribbon

			{ #type tut-show-info lockey "tut.closet.1" blocking #true person "Foreman 2" }

			;; main button
			{ #type tut-show-info lockey "tut.closet.1b" person "Foreman 2" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on utilities
			{ #type tut-show-info lockey "tut.closet.1c" person "Foreman 2" }
			{ #type tut-show-mask uiname "utilities" }
			{ #type tut-show-arrow type down uiname "utilities" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "utilities" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on power
			{ #type tut-show-info lockey "tut.closet.2" person "Foreman 2" }
			{ #type tut-show-mask uiname "utilities.power" }
			{ #type tut-show-arrow type down uiname "utilities.power" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "utilities.power" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on add power button
			{ #type tut-show-info lockey "tut.closet.3" person "Foreman 2" }
			{ #type tut-show-mask uiname "closet-electrical" }
			{ #type tut-show-arrow type down uiname "closet-electrical" offset { x 45 y 20 } }
			{ #type tut-wait-for-buy-entity-input-mode template closet-electrical offset { x 1 y 1 } }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; place it in the right spot

			{ #type tut-show-info lockey "tut.closet.4" person "Foreman 2" }
			{ #type tut-show-mask pos { x -6 y 2 } size { x 1 y 1 } }

			{ #type tut-wait-for-entity-count template closet-electrical count 3 test atleast }
			{ #type tut-hide-mask }

			{ #type tut-show-info lockey "tut.closet.5" person "Foreman 2" }
			{ #type tut-wait-for-default-input-mode }

			{ #type tut-log step 9 }


			;; utilities on the new floor

			;; utilities ribbon again (in case it went away)

			{ #type tut-show-info lockey "tut.floorutils.1" blocking #true person "Foreman 2" }
			
			;; click on the add power button again

			{ #type tut-show-info lockey "tut.floorutils.3" person "Foreman 2" }
			{ #type tut-show-mask uiname "utilities.power.add" }
			{ #type tut-show-arrow type down uiname "utilities.power.add" offset { x 45 y 20 } }
			{ #type tut-wait-for-add-utility-input-mode type utilpower }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; build pipes in specified area

			{ #type tut-show-info lockey "tut.floorutils.4" person "Foreman 2" }
			{ #type tut-show-mask pos { x -5 y 2 } size { x 8 y 1 } showfinger #true }
			{ #type tut-wait-for-utilities pos { x -5 y 2 } size { x 8 y 1 } type utilpower }

			;; right click again

			{ #type tut-hide-mask }
			{ #type tut-show-info lockey "tut.floorutils.5" type topcenter person "Foreman 2" }

			{ #type tut-wait-for-default-input-mode }

			{ #type tut-log step 10 }

			;;
			;; epilogue 

			;; wait for the floor to be finished

			{ #type tut-close-ribbon }
			{ #type tut-show-info lockey "tut.epilogue.1" blocking #true person "Foreman 2" }
			{ #type tut-show-info lockey "tut.epilogue.2" blocking #true type topcenter person "Foreman 2" }
			{ #type tut-exit }

		]
	}

	{
		id 		 "tutorial2"
		locname  "tutorial2.name"
		locdesc  "tutorial2.desc"
		filename "Tutorial/Tutorial2"

		actions [

			{ #type tut-show-info lockey "tut2.intro" type middlecenter blocking #true person "Admin 3" }
			{ #type tut-log step 1 }

			{ #type tut-pan-camera pos { x 6 y 3 } blocking #true }
			{ #type tut-show-info lockey "tut2.phone.1" blocking #true person "Admin 3" }

			;; main button
			{ #type tut-show-info lockey "tut2.phone.2" person "Admin 3" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on utilities
			{ #type tut-show-info lockey "tut2.phone.2b" person "Admin 3" }
			{ #type tut-show-mask uiname "utilities" }
			{ #type tut-show-arrow type down uiname "utilities" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "utilities" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on phone
			{ #type tut-show-info lockey "tut2.phone.3" person "Admin 3" }
			{ #type tut-show-mask uiname "utilities.phone" }
			{ #type tut-show-arrow type down uiname "utilities.phone" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "utilities.phone" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on add power button
			{ #type tut-show-info lockey "tut2.phone.4" person "Admin 3" }
			{ #type tut-show-mask uiname "utilities.phone.add" }
			{ #type tut-show-arrow type down uiname "utilities.phone.add" offset { x 45 y 20 } }
			{ #type tut-wait-for-add-utility-input-mode type utilphone }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; build phone lines in specified area
			{ #type tut-show-info lockey "tut2.phone.5" person "Admin 3" }
			{ #type tut-show-mask pos { x 2 y 3 } size { x 5 y 1 } showfinger #true }

			{ #type tut-wait-for-utilities pos { x 2 y 3 } size { x 5 y 1 } type utilphone }

			;; right click again
			{ #type tut-hide-mask }
			{ #type tut-show-info lockey "tut2.phone.6" type topright person "Admin 3" }

			{ #type tut-wait-for-default-input-mode }

			{ #type tut-log step 2 }


			;; phone switchboard

			{ #type tut-close-ribbon }
			{ #type tut-show-info lockey "tut2.switch.1" blocking #true person "Admin 3" }

			{ #type tut-pan-camera pos { x 4 y -1 } blocking #true }
			{ #type tut-show-info lockey "tut2.switch.2" blocking #true person "Admin 3" }


			;; main button
			{ #type tut-show-info lockey "tut2.switch.3" person "Admin 3" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on utilities
			{ #type tut-show-info lockey "tut2.switch.4" person "Admin 3" }
			{ #type tut-show-mask uiname "utilities" }
			{ #type tut-show-arrow type down uiname "utilities" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "utilities" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on phone
			{ #type tut-show-info lockey "tut2.switch.4b" person "Admin 3" }
			{ #type tut-show-mask uiname "utilities.phone" }
			{ #type tut-show-arrow type down uiname "utilities.phone" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "utilities.phone" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on small switchboard
			{ #type tut-show-info lockey "tut2.switch.5" person "Admin 3" }
			{ #type tut-show-mask uiname "closet-phonemeter-l1" }
			{ #type tut-show-arrow type down uiname "closet-phonemeter-l1" offset { x 45 y 20 } }
			{ #type tut-wait-for-buy-entity-input-mode template closet-phonemeter-l1 offset { x 1 y 1 } }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; highlight placement
			{ #type tut-show-info lockey "tut2.switch.6" person "Admin 3" }
			{ #type tut-show-mask pos { x 5 y -2 } size { x 2 y 1 } }

			{ #type tut-wait-for-entity-count template closet-phonemeter-l1 count 1 test atleast }

			;; finish
			{ #type tut-hide-mask }
			{ #type tut-force-util-input-mode type utilphone }
			{ #type tut-show-info lockey "tut2.switch.7" blocking #true person "Admin 3" }

			{ #type tut-force-default-input-mode }
			{ #type tut-close-ribbon }
			{ #type tut-pan-camera pos { x 6 y 3 } blocking #true }
			{ #type tut-show-info lockey "tut2.switch.8" blocking #true person "Admin 3" }

			{ #type tut-log step 3 }


			;; overlays

			;; click to show overlays
			{ #type tut-close-ribbon }
			{ #type tut-pan-camera pos { x 0 y 2 } zoom 700 blocking #true }

			{ #type tut-show-mask uiname "LayersDrawer/Toggle" }
			{ #type tut-show-arrow type left uiname "LayersDrawer/Toggle" offset { x 100 y -36 } }
			{ #type tut-show-info lockey "tut2.overlays.1" person "Admin 3" }
			{ #type tut-wait-for-dialog type layersdrawer showing #true }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true }

			;; wait for maps button selection
			{ #type tut-show-mask uiname "BMaps" }
			{ #type tut-show-arrow type left uiname "BMaps" offset { x 80 y 30 } }
			{ #type tut-show-info lockey "tut2.overlays.2" person "Admin 3" }
			{ #type tut-wait-for-dialog type overlaysribbon showing #true }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true }

			;; wait for happiness selection
			{ #type tut-show-mask uiname "Happiness" }
			{ #type tut-show-arrow type left uiname "Happiness" offset { x 160 y -30 } }
			{ #type tut-show-info lockey "tut2.overlays.2b" person "Admin 3" }

			{ #type tut-wait-for-heatmap type "satisfactionHeatmap" }

			;; pan over, wait for overlay over
			{ #type tut-hide-arrow }
			{ #type tut-hide-mask }
			{ #type tut-hide-info }
			{ #type tut-skip-frames count 10 }
			{ #type tut-pan-camera pos { x -2 y 2.5 } zoom 400 blocking #true }

			{ #type tut-show-info lockey "tut2.overlays.3" person "Admin 3" blocking #true }

			{ #type tut-show-mask uiname "LayersDrawer/Toggle" }
			{ #type tut-show-arrow type left uiname "LayersDrawer/Toggle" offset { x 100 y -36 } }
			{ #type tut-show-info lockey "tut2.overlays.3b" person "Admin 3" }
			{ #type tut-wait-for-heatmap type "disabled" }

			{ #type tut-hide-arrow }
			{ #type tut-hide-mask }

			;; wait for selection
			{ #type tut-show-info lockey "tut2.overlays.4" person "Admin 3" }
			{ #type tut-show-arrow type down pos { x -4 y 2.55 } }
			{ #type tut-wait-for-dialog type unitinfo showing #true }

			{ #type tut-hide-arrow }

			{ #type tut-log step 4 }


			;; explanations
			{ #type tut-show-info lockey "tut2.service.1" type topcenter blocking #true reposition { x -100 y -15 } person "Admin 3" deselect #false }

			{ #type tut-show-info lockey "tut2.service.2" type topcenter reposition { x -100 y -15 } person "Admin 3" deselect #false }
			{ #type tut-wait-for-dialog type unitinfo showing #false }

			;; services button
			{ #type tut-hide-info }
			{ #type tut-pan-camera pos { x 2 y -1 } blocking #true }

			;; main button
			{ #type tut-show-info lockey "tut2.service.3" person "Admin 3" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on services
			{ #type tut-show-info lockey "tut2.service.3b" person "Admin 3" }
			{ #type tut-show-mask uiname "services" }
			{ #type tut-show-arrow type down uiname "services" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "services" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; pick commercial services
			{ #type tut-show-info lockey "tut2.service.4" person "Admin 3" }
			{ #type tut-show-mask uiname "services.office" }
			{ #type tut-show-arrow type down uiname "services.office" offset { x 45 y 20 } }

			{ #type tut-wait-for-dialog type moveinservices showing #true }

			{ #type tut-hide-mask }
			{ #type tut-hide-arrow }

			;; pick the right service
			{ #type tut-show-info lockey "tut2.addserv.1" person "Admin 3" }

			{ #type tut-wait-for-buy-entity-input-mode template service-level-one-water }

			;; wait for placement
			{ #type tut-show-info lockey "tut2.addserv.2" person "Admin 3" }
			{ #type tut-show-highlight pos { x -1 y -1 } size { x 5 y 1 } }

			{ #type tut-wait-for-entity-count template service-level-one-water count 1 test atleast }

			;; finish 
			{ #type tut-show-info lockey "tut2.addserv.3" person "Admin 3" }
			{ #type tut-wait-for-default-input-mode }

			{ #type tut-hide-highlight }
			{ #type tut-hide-info }
			{ #type tut-pan-camera pos { x 2 y -1 } zoom 600 seconds 2 blocking #true }

			{ #type tut-log step 5 }

			;;
			;; budget intro

			;; wait for click
			{ #type tut-show-arrow type up uiname "MoneyButton" offset { x 80 y -40 } }
			{ #type tut-show-info lockey "tut2.budget.1" type topcenter person "Admin 3" reposition { y -60 } }
			{ #type tut-wait-for-dialog type budget showing #true reposition { x -140 } }

			;; explain budget and close
			{ #type tut-hide-arrow }
			{ #type tut-show-info lockey "tut2.budget.2" person "Admin 3" }
			
			{ #type tut-wait-for-dialog type budget showing #false }

			;; pan and wait for tenant click
			{ #type tut-hide-info }
			{ #type tut-pan-camera pos { x 2 y 1 } blocking #true }
			{ #type tut-show-info lockey "tut2.budget.3" person "Admin 3" }

			{ #type tut-wait-for-dialog type unitinfo showing #true }

			;; wait for close 
			{ #type tut-show-info lockey "tut2.budget.4" type topcenter person "Admin 3" deselect #false reposition { x -100 y -15 } }
			{ #type tut-wait-for-dialog type unitinfo showing #false }

			{ #type tut-log step 6 }

			;; outro
			{ #type tut-show-info lockey "tut2.epilogue.1" blocking #true person "Admin 3" }
			{ #type tut-show-info lockey "tut2.epilogue.2" blocking #true type topcenter person "Admin 3" }
			{ #type tut-exit }

		]
	}



	{
		id 		 "tutorial3"
		locname  "tutorial3.name"
		locdesc  "tutorial3.desc"
		filename "Tutorial/Tutorial3"

		actions [

			;{ #type tut-hide-button-highlights }			
			{ #type tut-pan-camera pos { x 0 y 2 } blocking #false seconds 0 }
			{ #type tut-show-info lockey "tut3.intro" type middlecenter blocking #true person "Admin 2" }
			{ #type tut-show-info lockey "tut3.intro2" type middlecenter blocking #true person "Admin 2" }

			{ #type tut-log step 1 }

			;; add offices
			{ #type tut-show-info lockey "tut3.pop.1" type topcenter blocking #true person "Admin 2" }

			{ #type tut-pan-camera pos { x 12 y 3 } blocking #true }
			{ #type tut-show-info lockey "tut3.pop.2" type topright person "Admin 2" }
			{ #type tut-wait-for-population count 20 }

			;; explain ribbon
			{ #type tut-force-unpause }
			{ #type tut-close-ribbon }
			{ #type tut-show-info lockey "tut3.pop.3" type topcenter blocking #true person "Admin 2" }

			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-show-info lockey "tut3.pop.3b" type topcenter person "Admin 2" }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true  }

			{ #type tut-show-info lockey "tut3.pop.4" type topright blocking #true person "Admin 2" }

			;; wait for click on consultants
			{ #type tut-hide-button-highlights }			
			{ #type tut-close-ribbon }
			{ #type tut-show-info lockey "tut3.cons.1" type topcenter person "Admin 2" blocking #true }

			{ #type tut-show-arrow type up uiname "Favors" offset { x 40 y -40 } }
			{ #type tut-show-info lockey "tut3.cons.1b" type topcenter person "Admin 2" reposition { x -40 } }
			{ #type tut-wait-for-dialog type consultants showing #true }

			;; wait for click on small art works
			{ #type tut-hide-arrow }
			{ #type tut-show-info lockey "tut3.cons.2" type topright person "Admin 2" }
			{ #type tut-wait-for-upgrade-active id "cons-a-1" }

			{ #type tut-wait-real-time realseconds 1 }

			{ #type tut-hide-info }
			{ #type tut-force-remove-popup type consultants }

			{ #type tut-log step 2 }


			;; main button
			{ #type tut-show-info lockey "tut3.art.1" person "Admin 2" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on art
			{ #type tut-show-info lockey "tut3.art.1b" person "Admin 2" }
			{ #type tut-show-mask uiname "arts" }
			{ #type tut-show-arrow type down uiname "arts" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "arts" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on small art
			{ #type tut-show-info lockey "tut3.art.1c" person "Admin 2" }
			{ #type tut-show-mask uiname "arts.small" }
			{ #type tut-show-arrow type down uiname "arts.small" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "arts.small" }

			{ #type tut-hide-mask }
			{ #type tut-hide-arrow }

			{ #type tut-hide-info }
			{ #type tut-pan-camera pos { x -4 y 1 } blocking #true }

			{ #type tut-log step 3 }


			;; wait for placement
			{ #type tut-show-info lockey "tut3.art.2" type topright person "Admin 2" }
			{ #type tut-wait-for-prestige amount 1.1 test atleast }

			{ #type tut-show-info lockey "tut3.art.3" type topright blocking #true person "Admin 2" }

			;; done

			{ #type tut-log step 4 }

			{ #type tut-show-info lockey "tut3.epilogue.1" type middlecenter blocking #true person "Admin 2" }
			{ #type tut-show-info lockey "tut3.epilogue.2" type topcenter blocking #true person "Admin 2" }

			{ #type tut-exit }
		]
	}


	{
		id 		 "tutorial4"
		locname  "tutorial4.name"
		locdesc  "tutorial4.desc"
		filename "Tutorial/Tutorial4"

		actions [

			{ #type tut-show-info lockey "tut4.intro.1" type middlecenter blocking #true person "Worker 2" }
			{ #type tut-show-info lockey "tut4.intro.2" type middlecenter blocking #true person "Worker 2" }
			{ #type tut-log step 1 }

			;; look at tenant
			{ #type tut-pan-camera pos { x 0 y 2 } blocking #true seconds 1 }
			{ #type tut-show-info lockey "tut4.tenant.1" type topcenter person "Worker 2" }
			{ #type tut-show-arrow type down pos { x 0 y 2.7 } }
			{ #type tut-wait-for-dialog type unitinfo showing #true eid 168 }

			;; show ui
			{ #type tut-hide-arrow }
			{ #type tut-show-info lockey "tut4.tenant.2" type topcenter person "Worker 2" deselect #false reposition { x -90 y -15 } }
			{ #type tut-show-arrow type down uiname "Renovate Button" offset { x 0 y 20 } }

			;; wait for repair scheduled
			{ #type tut-wait-for-service-pending eid 168 task taskrenovate expected #true }

			{ #type tut-hide-arrow }
			{ #type tut-force-deselect }
			{ #type tut-show-info lockey "tut4.tenant.3" type topright person "Worker 2" }

			;; wait for repair finished
			{ #type tut-wait-for-service-pending eid 168 task taskrenovate expected #false }

			{ #type tut-force-unpause }
			{ #type tut-show-info lockey "tut4.repairall.1" type topcenter blocking #true person "Worker 2" }

			{ #type tut-log step 2 }


			;; pan, then click on maintenance office
			{ #type tut-pan-camera pos { x 2 y 0 } blocking #true seconds 1 }

			{ #type tut-show-info lockey "tut4.repairall.2" type topright person "Worker 2" }
			{ #type tut-show-arrow type down pos { x 1 y -0.3 } }
			{ #type tut-wait-for-dialog type unitinfo showing #true eid 158 }

			;; order repair
			{ #type tut-hide-arrow }
			{ #type tut-show-info lockey "tut4.repairall.3" type topcenter person "Worker 2" deselect #false reposition { x -90 y -15 } }
			{ #type tut-show-arrow type right uiname "Repair/Everything" offset { x 0 y -16 } }

			{ #type tut-wait-for-service-pending task taskrenovate expected #true }

			;; moving on to trash
			{ #type tut-close-ribbon }
			{ #type tut-hide-arrow }
			{ #type tut-force-deselect }
			{ #type tut-show-info lockey "tut4.repairall.4" type topright blocking #true person "Worker 2" }

			{ #type tut-log step 3 }


			;; pan
			{ #type tut-show-info lockey "tut4.trashbin.1" type topcenter blocking #true person "Worker 2" }
			{ #type tut-pan-camera pos { x -6 y 2 } blocking #true seconds 1 }

			;; main button
			{ #type tut-show-info lockey "tut4.trashbin.2" person "Worker 2" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on infra
			{ #type tut-show-info lockey "tut4.trashbin.2b" person "Worker 2" }
			{ #type tut-show-mask uiname "floor" }
			{ #type tut-show-arrow type down uiname "floor" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "floor" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on trash
			{ #type tut-show-info lockey "tut4.trashbin.3" person "Worker 2" }
			{ #type tut-show-mask uiname "floor.trash" }
			{ #type tut-show-arrow type down uiname "floor.trash" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "floor.trash" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on trash bin
			{ #type tut-show-info lockey "tut4.trashbin.4" person "Worker 2" }
			{ #type tut-show-mask uiname "support-trashbin" }
			{ #type tut-show-arrow type down uiname "support-trashbin" offset { x 45 y 20 } }
			{ #type tut-wait-for-buy-entity-input-mode template support-trashbin offset { x 0 y 0 } }

			{ #type tut-hide-mask }
			{ #type tut-hide-arrow }

			;; place trash bin
			{ #type tut-show-highlight pos { x -10 y 2 } size { x 2 y 1 } }
			{ #type tut-show-info lockey "tut4.trashbin.5" type topright person "Worker 2" }

			{ #type tut-wait-for-entity-count template support-trashbin count 1 test atleast }

			{ #type tut-log step 4 }


			;; place another trash bin
			{ #type tut-hide-highlight }
			{ #type tut-show-info lockey "tut4.trashbin.6" type topcenter person "Worker 2" }

			;{ #type tut-show-mask uiname "support-trashbin" }
			;{ #type tut-show-arrow type down uiname "support-trashbin" offset { x 45 y 20 } }
			;{ #type tut-wait-for-buy-entity-input-mode template support-trashbin offset { x 0 y -1 } }
			;{ #type tut-hide-mask }
			;{ #type tut-hide-arrow }

			{ #type tut-show-highlight pos { x -10 y 1 } size { x 2 y 1 } }
			{ #type tut-wait-for-entity-count template support-trashbin count 2 test atleast }

			{ #type tut-log step 5 }


			;; move on to the basement
			{ #type tut-hide-highlight }
			{ #type tut-hide-info }
			{ #type tut-force-default-input-mode }

			{ #type tut-show-info lockey "tut4.trashroom.1" type topcenter blocking #true person "Worker 2" }
			{ #type tut-pan-camera pos { x 0 y -1 } blocking #true seconds 1 }

			{ #type tut-show-info lockey "tut4.trashroom.2" type topcenter blocking #true person "Worker 2" }

			;; click on trash room instead
			{ #type tut-show-info lockey "tut4.trashroom.4" type topcenter person "Worker 2" }
			{ #type tut-show-mask uiname "support-trashroom" }
			{ #type tut-show-arrow type down uiname "support-trashroom" offset { x 45 y 20 } }
			{ #type tut-wait-for-buy-entity-input-mode template support-trashroom offset { x 1 y 0 } }

			;; place trash room
			{ #type tut-hide-arrow }
			{ #type tut-hide-mask }
			{ #type tut-show-highlight pos { x -5 y -2 } size { x 5 y 1 } }
			{ #type tut-show-info lockey "tut4.trashroom.5" type topright person "Worker 2" }

			{ #type tut-wait-for-entity-count template support-trashroom count 1 test atleast }

			{ #type tut-log step 6 }


			;; done!
			{ #type tut-hide-highlight }
			{ #type tut-show-info lockey "tut4.trashroom.6" type topright blocking #true person "Worker 2" }

			;; epilogue
			{ #type tut-show-info lockey "tut4.epilogue.1" type middlecenter blocking #true person "Worker 2" }			
			{ #type tut-show-info lockey "tut4.epilogue.2" type topcenter blocking #true person "Worker 2" }			

			{ #type tut-exit }
		]
	}

	{
		id 		 "tutorialui"
		locname  "tutorialui.name"
		locdesc  "tutorialui.desc"
		filename "Tutorial/TutorialUI"

		actions [

			{ #type tut-pan-camera pos { x 0 y 2 } blocking #false seconds 0 }
			{ #type tut-show-info lockey "tut-ui.intro" type middlecenter blocking #true person "Admin 4" }
			{ #type tut-log step 1 }

			;; build ribbon

			{ #type tut-show-info lockey "tut-ui.build.1" type topcenter blocking #true person "Admin 4" }

			{ #type tut-show-arrow type up uiname "SpeedButton2" offset { x 24 y -60 } }
			{ #type tut-show-info lockey "tut-ui.build.2" type topcenter blocking #true person "Admin 4" }

			{ #type tut-show-arrow type up uiname "MoneyButton" offset { x 100 y -40 } }
			{ #type tut-show-info lockey "tut-ui.build.3" type topright blocking #true person "Admin 4" }
			{ #type tut-wait-for-dialog type budget showing #false }

			{ #type tut-show-info lockey "tut-ui.build.4" type topright blocking #false person "Admin 4" }
			{ #type tut-show-arrow type up uiname "LoanButton" offset { x 16 y -40 } }
			{ #type tut-wait-for-dialog type loans showing #true reposition { y -70 } }

			{ #type tut-hide-arrow }
			{ #type tut-show-info lockey "tut-ui.build.5" type topcenter person "Admin 4" reposition { y 70 } }
			{ #type tut-wait-for-dialog type loans showing #false }

			{ #type tut-show-arrow type up uiname "Prestige" offset { x 50 y -40 } }
			{ #type tut-show-info lockey "tut-ui.build.6" type topcenter blocking #true person "Admin 4" }

			{ #type tut-show-arrow type up uiname "Residents" offset { x 50 y -40 } }
			{ #type tut-show-info lockey "tut-ui.build.7" type topcenter blocking #true person "Admin 4" }

			{ #type tut-show-arrow type up uiname "Buzz" offset { x 50 y -40 } }
			{ #type tut-show-info lockey "tut-ui.build.8" type topcenter blocking #true person "Admin 4" reposition { x -100 } }

			{ #type tut-show-arrow type up uiname "Favors" offset { x 50 y -40 } }
			{ #type tut-show-info lockey "tut-ui.build.9" type topcenter blocking #true person "Admin 4" }

			{ #type tut-log step 2 }

			;; contracts / ada

			{ #type tut-show-arrow type left uiname "DialogDrawer" offset { x 100 y -36 } }
			{ #type tut-show-info lockey "tut-ui.contr.1" type topcenter blocking #false person "Admin 4" }
			{ #type tut-wait-for-dialog type dialogsdrawer showing #true }

			{ #type tut-show-arrow type up uiname "Contracts" offset { x 30 y -10 } }
			{ #type tut-show-info lockey "tut-ui.contr.2" type topcenter blocking #false person "Admin 4" }
			{ #type tut-wait-for-dialog type contracts showing #true }

			{ #type tut-hide-arrow }
			{ #type tut-show-drawers type none }
			{ #type tut-show-info lockey "tut-ui.contr.3" type topcenter blocking #true person "Admin 4" reposition { y -30 } }
			{ #type tut-wait-for-dialog type contracts showing #false }

			{ #type tut-show-arrow type left uiname "DialogDrawer" offset { x 100 y -36 } }
			{ #type tut-show-info lockey "tut-ui.ada.1" type topcenter blocking #false person "Admin 4" }
			{ #type tut-wait-for-dialog type dialogsdrawer showing #true }

			{ #type tut-show-arrow type up uiname "ADA" offset { x 30 y -10 } }
			{ #type tut-show-info lockey "tut-ui.ada.2" type topcenter blocking #false person "Admin 4" }
			{ #type tut-wait-for-dialog type ada showing #true }

			{ #type tut-hide-arrow }
			{ #type tut-show-drawers type none }
			{ #type tut-show-info lockey "tut-ui.ada.3" type middlecenter blocking #true person "Admin 4" }
			{ #type tut-wait-for-dialog type ada showing #false }

			{ #type tut-log step 3 }


			;; layers

			{ #type tut-show-arrow type left uiname "LayersDrawer" offset { x 100 y -36 } }
			{ #type tut-show-info lockey "tut-ui.layers.1" type topcenter blocking #false person "Admin 4" }
			{ #type tut-wait-for-dialog type layersdrawer showing #true }

			{ #type tut-show-arrow type left uiname "BMaps" offset { x 40 y 30 } }
			{ #type tut-show-info lockey "tut-ui.layers.2" type topright blocking #true person "Admin 4" }

			{ #type tut-hide-layers }
			{ #type tut-show-arrow type left uiname "BPipes" offset { x 40 y 30 } }
			{ #type tut-show-info lockey "tut-ui.layers.3" type topright blocking #true person "Admin 4" }

			{ #type tut-hide-layers }
			{ #type tut-show-arrow type left uiname "BGrid" offset { x 40 y 30 } }
			{ #type tut-show-info lockey "tut-ui.layers.4" type topright blocking #true person "Admin 4" }

			{ #type tut-log step 4 }

			{ #type tut-hide-layers }
			{ #type tut-show-drawers type none }
			{ #type tut-show-arrow type left uiname "Quit" offset { x 40 y -20 } }
			{ #type tut-show-info lockey "tut-ui.epilogue.1" type topcenter blocking #true person "Admin 4" }

			{ #type tut-hide-arrow }
			{ #type tut-show-info lockey "tut-ui.epilogue.2" type middlecenter blocking #true person "Admin 4" }
			{ #type tut-show-info lockey "tut-ui.epilogue.3" type topcenter blocking #true person "Admin 4" }

			{ #type tut-log step 5 }

			{ #type tut-exit }
		]
	}


	{
		id 		 "tutorialep1"
		locname  "tutorialep1.name"
		locdesc  "tutorialep1.desc"
		filename "Tutorial/TutorialEP1"

		visreqs [ { #type pack-requirement id ephotels } ] 
		reqs [ { #type pack-requirement id ephotels } ] ;; needed for achievement

		actions [
			{ #type tut-show-info lockey "tut-ep1.intro.1" type middlecenter blocking #true person "Admin 1" }
			{ #type tut-show-info lockey "tut-ep1.intro.2" type topcenter blocking #true person "Admin 1" }

			{ #type tut-log step 1 }

			;; explain basics

			{ #type tut-pan-camera pos { x 7 y 4 } blocking #false seconds 3 }
			{ #type tut-show-info lockey "tut-ep1.hotel.1" type topright blocking #true person "Admin 1" }
			{ #type tut-pan-camera pos { x 9 y 1 } zoom 300 blocking #true seconds 3 }
			{ #type tut-show-info lockey "tut-ep1.hotel.2" type topright blocking #true person "Admin 1" }
			{ #type tut-pan-camera pos { x -1 y 3 } zoom 600 blocking #false seconds 4 }
			{ #type tut-show-info lockey "tut-ep1.hotel.3" type topright blocking #true person "Admin 1" }

			;; start on ui

			;; main button
			{ #type tut-close-ribbon }
			{ #type tut-show-info lockey "tut-ep1.ui.1" type topcenter blocking #false person "Admin 1" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on hotel
			{ #type tut-show-info lockey "tut-ep1.ui.1b" type topcenter blocking #false person "Admin 1" }
			{ #type tut-show-mask uiname "hotel" }
			{ #type tut-show-arrow type down uiname "hotel" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "hotel" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; wait for continue
			{ #type tut-show-info lockey "tut-ep1.ui.2" type topcenter blocking #true person "Admin 1" }
			{ #type tut-close-ribbon }
			{ #type tut-force-default-input-mode }
			{ #type tut-force-deselect }

			{ #type tut-log step 2 }

			;; explain rooms

			{ #type tut-pan-camera pos { x 11 y 2 } zoom 400 seconds 3 }
			{ #type tut-show-info lockey "tut-ep1.rooms.1" type topright blocking #true person "Admin 1" }
			{ #type tut-pan-camera pos { x 11 y -1.5 } zoom 400 seconds 3 }
			{ #type tut-show-info lockey "tut-ep1.rooms.2" type topcenter blocking #true person "Admin 1" }

			;; hotel services

			;; main button
			{ #type tut-close-ribbon }
			{ #type tut-show-info lockey "tut-ep1.ui.3" type topcenter blocking #false person "Admin 1" }
			{ #type tut-show-mask uiname "Back Button/Button" }
			{ #type tut-show-arrow type left uiname "Back Button/Button" offset { x 120 y -45 } }
			{ #type tut-wait-for-open-ribbon ribbonid "main" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; click on services
			{ #type tut-show-info lockey "tut-ep1.ui.3b" type topcenter blocking #false person "Admin 1" }
			{ #type tut-show-mask uiname "services" }
			{ #type tut-show-arrow type down uiname "services" offset { x 45 y 20 } }
			{ #type tut-wait-for-open-ribbon ribbonid "services" }

			{ #type tut-action-pause realseconds 0.3 hidemask #true hidearrow #true coverribbon #true }

			;; point out hotel services
			{ #type tut-show-info lockey "tut-ep1.ui.4" type topcenter blocking #true person "Admin 1" }
			{ #type tut-force-default-input-mode }
			{ #type tut-close-ribbon }
			{ #type tut-force-deselect }

			{ #type tut-log step 3 }

			;; hvac

			{ #type tut-pan-camera pos { x 11 y 1 } zoom 400 seconds 1 }
			{ #type tut-show-info lockey "tut-ep1.hvac.1" type topcenter blocking #true person "Admin 1" }
			{ #type tut-pan-camera pos { x 11 y 8 } zoom 400 seconds 2 }
			{ #type tut-show-info lockey "tut-ep1.hvac.2" type topcenter blocking #true person "Admin 1" }

			{ #type tut-log step 4 }

			;; hotel management

			{ #type tut-show-arrow type left uiname "DialogDrawer" offset { x 100 y -36 } }
			{ #type tut-show-info lockey "tut-ep1.happy.1" type topright blocking #false person "Admin 1" }
			{ #type tut-wait-for-dialog type dialogsdrawer showing #true }

			{ #type tut-show-arrow type up uiname "Hotels" offset { x 30 y -10 } }
			{ #type tut-show-info lockey "tut-ep1.happy.1b" type topright blocking #false person "Admin 1" }
			{ #type tut-wait-for-dialog type hotelrooms showing #true reposition { y -50 } }

			{ #type tut-hide-arrow }
			{ #type tut-show-drawers type none }

			{ #type tut-show-info lockey "tut-ep1.happy.2" type topcenter blocking #true person "Admin 1" }

			{ #type tut-show-arrow type down uiname "Ratings Button" offset { x -20 y 25 } }
			{ #type tut-show-info lockey "tut-ep1.happy.3" type topcenter blocking #false person "Admin 1" }
			{ #type tut-wait-for-dialog type hotelratings showing #true reposition { x -200 } }

			{ #type tut-hide-arrow }
			{ #type tut-show-info lockey "tut-ep1.happy.4" type topright blocking #true person "Admin 1" }
			{ #type tut-force-remove-popup type all }

			{ #type tut-log step 5 }

			;; event management

			{ #type tut-pan-camera pos { x -8 y 5.5 } zoom 400 seconds 3 }
			{ #type tut-show-info lockey "tut-ep1.events.1" type topcenter blocking #true person "Admin 1" }

			{ #type tut-show-arrow type left uiname "DialogDrawer" offset { x 100 y -36 } }
			{ #type tut-show-info lockey "tut-ep1.events.2" type topcenter blocking #false person "Admin 1" }
			{ #type tut-wait-for-dialog type dialogsdrawer showing #true }

			{ #type tut-show-arrow type up uiname "Performers" offset { x 30 y -10 } }
			{ #type tut-show-info lockey "tut-ep1.events.2b" type topright blocking #false person "Admin 1" }
			{ #type tut-wait-for-dialog type performers showing #true reposition { y -100 } }

			{ #type tut-hide-arrow }
			{ #type tut-show-drawers type none }
			{ #type tut-show-info lockey "tut-ep1.events.3" type topcenter blocking #true person "Admin 1" }
			{ #type tut-force-remove-popup type all }

			{ #type tut-log step 6 }

			;; buh-bye

			{ #type tut-pan-camera pos { x -1 y 3 } blocking #true seconds 3 zoom 700 }
			{ #type tut-show-info lockey "tut-ep1.epilogue.1" type middlecenter blocking #true person "Admin 1" }
			{ #type tut-show-info lockey "tut-ep1.epilogue.2" type topcenter blocking #true person "Admin 1" }

			{ #type tut-log step 7 }

			{ #type tut-exit }
		]
	}

	]
}